discard
//set trace on
drop _all

cd D:\project\Stata_lca\LcaBootstrap-32bit\ /*CHANGE THIS PATH TO MATCH THE FILE LOCATION ON YOUR MACHINE!*/
infile using delinquency

qui doLCA Rowdy Vandal Shoplift Steal Fight, ///
	nstart(10) ///
	nclass(2) ///
	freq(Count) ///
	seed(1000) ///
	categories(2 2 2 2 2) 

//return list	
mat G = r(gamma)
mat R = r(rho)	
local null_logliks = r(loglikelihood)
//dis "null_logliks" `null_logliks'

forvalues i=1/`=rowsof(G)' {
	forvalues j=1/`=colsof(G)' {
		local glist `glist' `=G[`i', `j']'
	}
}
//dis `glist'

forvalues i=1/`=rowsof(R)/2' {
	forvalues j=1/`=colsof(R)' {
		local rholist `rholist' `=R[`i', `j']'
	}
}
//dis `rholist'

qui doLCA Rowdy Vandal Shoplift Steal Fight, ///
	nstart(10) ///
	nclass(3) ///
	freq(Count) ///
	seed(1000) ///
	categories(2 2 2 2 2) 
local alt_logliks = r(loglikelihood)

//dis "null_logliks" `null_logliks'
//dis "alt_logliks" `alt_logliks'

cap drop _all
/*Example 1: LCA model  */
doLcaBootstrap, ///
      null_gammalist(`glist')    ///
	  null_rholist(`rholist')  ///
	  null_loglikelihood(`null_logliks') ///
	  alt_loglikelihood(`alt_logliks') ///
	  simulate_samplesize(10000)  ///
	  num_bootstrap(99)  ///
	  null_nstarts(10)   ///
	  alt_nstarts(10)    
	  
dis e(p_value)
